Page MenuHomePhabricator

Basic/Targets.cpp: Add polaris10 and polaris11 gpus
ClosedPublic

Authored by olesalscheider on Aug 20 2016, 5:19 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

olesalscheider retitled this revision from to Basic/Targets.cpp: Add polaris10 and polaris11 gpus.
olesalscheider updated this object.
tstellarAMD requested changes to this revision.Aug 26 2016, 5:28 PM
tstellarAMD edited edge metadata.
tstellarAMD added inline comments.
lib/Basic/Targets.cpp
1959 ↗(On Diff #68779)

We're trying to move to more descriptive GPU family names, so this should be GK_GFX8 instead of GK_ARCTIC_ISLANDS. GK_VOLCANIC_ISLANDS should also be changed to GK_GFX8, but that can be done in another patch, and would not be a prerequisite for this patch.

This revision now requires changes to proceed.Aug 26 2016, 5:28 PM
arsenm added inline comments.Aug 26 2016, 6:08 PM
lib/Basic/Targets.cpp
1959 ↗(On Diff #68779)

For now I think polaris10/11 should just be left as VOLCANIC_ISLANDS

olesalscheider added inline comments.Aug 27 2016, 7:02 AM
lib/Basic/Targets.cpp
1959 ↗(On Diff #68779)

Ok... I'll leave it as VOLCANIC_ISLANDS and propose a follow-up patch that replaces all GCN names then.

olesalscheider edited edge metadata.
tstellarAMD accepted this revision.Aug 30 2016, 7:43 AM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Aug 30 2016, 7:43 AM
This revision was automatically updated to reflect the committed changes.